## org.eclipse.emf.mapping.ecore2xml
Interface Ecore2XMLPackage

All Superinterfaces:
  EModelElement, ENamedElement, EObject, EPackage, Notifier

All Known Implementing Classes:
  Ecore2XMLPackageImpl

    public interface Ecore2XMLPackage

extends EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `Ecore2XMLFactory`

Nested Class Summary
`static interface` `Ecore2XMLPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`EPackage.Descriptor, EPackage.Registry`

Field Summary
`static java.lang.String` `eCONTENT_TYPE` The package content type ID
`static Ecore2XMLPackage` `eINSTANCE` The singleton instance of the package
`static java.lang.String` `eNAME` The package name
`static int` `ENAMED_ELEMENT_TO_XML_INFO_MAP_ENTRY` The meta object id for the '`ENamed Element To XML Info Map Entry`' class
`static int` `ENAMED_ELEMENT_TO_XML_INFO_MAP_ENTRY__KEY` The feature id for the 'Key' reference
`static int` `ENAMED_ELEMENT_TO_XML_INFO_MAP_ENTRY__VALUE` The feature id for the 'Value' containment reference
`static int` `ENAMED_ELEMENT_TO_XML_INFO_MAP_ENTRY_FEATURE_COUNT` The number of structural features of the 'ENamed Element To XML Info Map Entry' class
`static java.lang.String` `eNS_PREFIX` The package namespace name
`static java.lang.String` `eNS_URI` The package namespace URI
`static int` `XML_INFO` The meta object id for the '`XML Info`' class
`static int` `XML_INFO__NAME` The feature id for the 'Name' attribute
`static int` `XML_INFO__TARGET_NAMESPACE` The feature id for the 'Target Namespace' attribute
`static int` `XML_INFO__XML_REPRESENTATION` The feature id for the 'XML Representation' attribute
`static int` `XML_INFO_FEATURE_COUNT` The number of structural features of the 'XML Info' class
`static int` `XML_MAP` The meta object id for the '`XML Map`' class
`static int` `XML_MAP__ECORE_TO_XML_INFO` The feature id for the 'Ecore To XML Info' map
`static int` `XML_MAP__ID_ATTRIBUTE_NAME` The feature id for the 'ID Attribute Name' attribute
`static int` `XML_MAP__NO_NAMESPACE_PACKAGE` The feature id for the 'No Namespace Package' reference
`static int` `XML_MAP_FEATURE_COUNT` The number of structural features of the 'XML Map' class

Method Summary
`Ecore2XMLFactory` `getEcore2XMLFactory()` Returns the factory that creates the instances of the model
`EReference` `getENamedElementToXMLInfoMapEntry_Key()` Returns the meta object for the reference '`Key`'
`EReference` `getENamedElementToXMLInfoMapEntry_Value()` Returns the meta object for the containment reference '`Value`'
`EClass` `getENamedElementToXMLInfoMapEntry()` Returns the meta object for class '`ENamed Element To XML Info Map Entry`'
`EAttribute` `getXMLInfo_Name()` Returns the meta object for the attribute '`Name`'
`EAttribute` `getXMLInfo_TargetNamespace()` Returns the meta object for the attribute '`Target Namespace`'
`EAttribute` `getXMLInfo_XMLRepresentation()` Returns the meta object for the attribute '`XML Representation`'
`EClass` `getXMLInfo()` Returns the meta object for class '`XML Info`'
`EReference` `getXMLMap_EcoreToXMLInfo()` Returns the meta object for the map '`Ecore To XML Info`'
`EAttribute` `getXMLMap_IDAttributeName()` Returns the meta object for the attribute '`ID Attribute Name`'
`EReference` `getXMLMap_NoNamespacePackage()` Returns the meta object for the reference '`No Namespace Package`'
`EClass` `getXMLMap()` Returns the meta object for class '`XML Map`'

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eNAME

    static final java.lang.String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final java.lang.String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eCONTENT_TYPE

    static final java.lang.String eCONTENT_TYPE

  The package content type ID.

  Since:
    2.4
  See Also:
    Constant Field Values

### eINSTANCE

    static final Ecore2XMLPackage eINSTANCE

  The singleton instance of the package.

### XML_INFO

    static final int XML_INFO

  The meta object id for the '`XML Info`' class.

  See Also:
    `XMLInfoImpl`, `Ecore2XMLPackageImpl.getXMLInfo()`, Constant Field Values

### XML_INFO__NAME

    static final int XML_INFO__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### XML_INFO__TARGET_NAMESPACE

    static final int XML_INFO__TARGET_NAMESPACE

  The feature id for the 'Target Namespace' attribute.

  See Also:
    Constant Field Values

### XML_INFO__XML_REPRESENTATION

    static final int XML_INFO__XML_REPRESENTATION

  The feature id for the 'XML Representation' attribute.

  See Also:
    Constant Field Values

### XML_INFO_FEATURE_COUNT

    static final int XML_INFO_FEATURE_COUNT

  The number of structural features of the 'XML Info' class.

  See Also:
    Constant Field Values

### XML_MAP

    static final int XML_MAP

  The meta object id for the '`XML Map`' class.

  See Also:
    `XMLMapImpl`, `Ecore2XMLPackageImpl.getXMLMap()`, Constant Field Values

### XML_MAP__ID_ATTRIBUTE_NAME

    static final int XML_MAP__ID_ATTRIBUTE_NAME

  The feature id for the 'ID Attribute Name' attribute.

  See Also:
    Constant Field Values

### XML_MAP__ECORE_TO_XML_INFO

    static final int XML_MAP__ECORE_TO_XML_INFO

  The feature id for the 'Ecore To XML Info' map.

  See Also:
    Constant Field Values

### XML_MAP__NO_NAMESPACE_PACKAGE

    static final int XML_MAP__NO_NAMESPACE_PACKAGE

  The feature id for the 'No Namespace Package' reference.

  See Also:
    Constant Field Values

### XML_MAP_FEATURE_COUNT

    static final int XML_MAP_FEATURE_COUNT

  The number of structural features of the 'XML Map' class.

  See Also:
    Constant Field Values

### ENAMED_ELEMENT_TO_XML_INFO_MAP_ENTRY

    static final int ENAMED_ELEMENT_TO_XML_INFO_MAP_ENTRY

  The meta object id for the '`ENamed Element To XML Info Map Entry`' class.

  See Also:
    `ENamedElementToXMLInfoMapEntryImpl`, `Ecore2XMLPackageImpl.getENamedElementToXMLInfoMapEntry()`, Constant Field Values

### ENAMED_ELEMENT_TO_XML_INFO_MAP_ENTRY__KEY

    static final int ENAMED_ELEMENT_TO_XML_INFO_MAP_ENTRY__KEY

  The feature id for the 'Key' reference.

  See Also:
    Constant Field Values

### ENAMED_ELEMENT_TO_XML_INFO_MAP_ENTRY__VALUE

    static final int ENAMED_ELEMENT_TO_XML_INFO_MAP_ENTRY__VALUE

  The feature id for the 'Value' containment reference.

  See Also:
    Constant Field Values

### ENAMED_ELEMENT_TO_XML_INFO_MAP_ENTRY_FEATURE_COUNT

    static final int ENAMED_ELEMENT_TO_XML_INFO_MAP_ENTRY_FEATURE_COUNT

  The number of structural features of the 'ENamed Element To XML Info Map Entry' class.

  See Also:
    Constant Field Values

Method Detail

### getXMLInfo

    EClass getXMLInfo()

  Returns the meta object for class '`XML Info`'.

  Returns:
    the meta object for class 'XML Info'.
  See Also:
    `XMLInfo`

### getXMLInfo_Name

    EAttribute getXMLInfo_Name()

  Returns the meta object for the attribute '`Name`'.

  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `XMLInfo.getName()`, `getXMLInfo()`

### getXMLInfo_TargetNamespace

    EAttribute getXMLInfo_TargetNamespace()

  Returns the meta object for the attribute '`Target Namespace`'.

  Returns:
    the meta object for the attribute 'Target Namespace'.
  See Also:
    `XMLInfo.getTargetNamespace()`, `getXMLInfo()`

### getXMLInfo_XMLRepresentation

    EAttribute getXMLInfo_XMLRepresentation()

  Returns the meta object for the attribute '`XML Representation`'.

  Returns:
    the meta object for the attribute 'XML Representation'.
  See Also:
    `XMLInfo.getXMLRepresentation()`, `getXMLInfo()`

### getXMLMap

    EClass getXMLMap()

  Returns the meta object for class '`XML Map`'.

  Returns:
    the meta object for class 'XML Map'.
  See Also:
    `XMLMap`

### getXMLMap_IDAttributeName

    EAttribute getXMLMap_IDAttributeName()

  Returns the meta object for the attribute '`ID Attribute Name`'.

  Returns:
    the meta object for the attribute 'ID Attribute Name'.
  See Also:
    `XMLMap.getIDAttributeName()`, `getXMLMap()`

### getXMLMap_EcoreToXMLInfo

    EReference getXMLMap_EcoreToXMLInfo()

  Returns the meta object for the map '`Ecore To XML Info`'.

  Returns:
    the meta object for the map 'Ecore To XML Info'.
  See Also:
    `XMLMap.getEcoreToXMLInfo()`, `getXMLMap()`

### getXMLMap_NoNamespacePackage

    EReference getXMLMap_NoNamespacePackage()

  Returns the meta object for the reference '`No Namespace Package`'.

  Returns:
    the meta object for the reference 'No Namespace Package'.
  See Also:
    `XMLMap.getNoNamespacePackage()`, `getXMLMap()`

### getENamedElementToXMLInfoMapEntry

    EClass getENamedElementToXMLInfoMapEntry()

  Returns the meta object for class '`ENamed Element To XML Info Map Entry`'.

  Returns:
    the meta object for class 'ENamed Element To XML Info Map Entry'.
  See Also:
    `Map.Entry`

### getENamedElementToXMLInfoMapEntry_Key

    EReference getENamedElementToXMLInfoMapEntry_Key()

  Returns the meta object for the reference '`Key`'.

  Returns:
    the meta object for the reference 'Key'.
  See Also:
    `Map.Entry`, `getENamedElementToXMLInfoMapEntry()`

### getENamedElementToXMLInfoMapEntry_Value

    EReference getENamedElementToXMLInfoMapEntry_Value()

  Returns the meta object for the containment reference '`Value`'.

  Returns:
    the meta object for the containment reference 'Value'.
  See Also:
    `Map.Entry`, `getENamedElementToXMLInfoMapEntry()`

### getEcore2XMLFactory

    Ecore2XMLFactory getEcore2XMLFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.